---
title: LocationsForMove
description: View the locations that a fulfillment order can potentially move to.
api_version: 2026-01
source_url:
  html: 'https://shopify.dev/docs/api/admin-rest/latest/resources/locationsformove'
  md: 'https://shopify.dev/docs/api/admin-rest/latest/resources/locationsformove.md'
api_name: admin-rest
api_type: rest
---

The REST Admin API is a legacy API as of October 1, 2024. Starting April 1, 2025, all new public apps must be built exclusively with the [GraphQL Admin API](https://shopify.dev/docs/api/admin-graphql). For details and migration steps, visit our [migration guide](https://shopify.dev/docs/apps/build/graphql/migrate).

# Locations​For​Move

**Requires \`merchant\_managed\_fulfillment\_orders\` access scope.:**

The LocationsForMove resource represents the locations that a fulfillment order can potentially move to.

\#

## Endpoints

* [get](https://shopify.dev/docs/api/admin-rest/latest/resources/locationsformove.md#get-fulfillment-orders-fulfillment-order-id-locations-for-move)

  [/admin/api/latest/fulfillment\_​orders/{fulfillment\_​order\_​id}/locations\_​for\_​move.​json](https://shopify.dev/docs/api/admin-rest/latest/resources/locationsformove.md#get-fulfillment-orders-fulfillment-order-id-locations-for-move)

  Retrieves a list of locations that a fulfillment order can potentially move to.

  [fulfillmentOrder](https://shopify.dev/docs/api/admin-graphql/latest/queries/fulfillmentOrder?example=retrieves-a-list-of-locations-that-a-fulfillment-order-can-potentially-move-to)

***

## The LocationsForMove resource

### Properties

***

locations\_for\_move

**read-only**

->[locationsForMove](https://shopify.dev/docs/api/admin-graphql/latest/objects/FulfillmentOrder#field-FulfillmentOrder.fields.locationsForMove)

A list of locations that a fulfillment order can potentially move to.

* **location**: The location being considered as the fulfillment order's new assigned location.
* **movable**: Whether the fulfillment order can be moved to the location.
* **message**: A human-readable string with the reason why the fulfillment order, or some of its line items, can't be moved to the location.

***

{}

## The LocationsForMove resource

```json
{
  "locations_for_move": [
    {
      "location": {
        "id": 5,
        "name": "123 Main St"
      },
      "movable": false,
      "message": "Shirt - Medium can't be changed because it isn't stocked at this location."
    },
    {
      "location": {
        "id": 3,
        "name": "Alpha Location"
      },
      "movable": true,
      "message": null
    },
    {
      "location": {
        "id": 1,
        "name": "Bravo Location"
      },
      "movable": false,
      "message": "Current location."
    },
    {
      "location": {
        "id": 2,
        "name": "Charlie Location"
      },
      "movable": false,
      "message": "No items are stocked at this location."
    },
    {
      "location": {
        "id": 4,
        "name": "Delta Location"
      },
      "movable": false,
      "message": "2 items can't be changed because they aren't stocked at this location."
    }
  ]
}
```

***

## getRetrieves a list of locations that a fulfillment order can potentially move to.

[fulfillmentOrder](https://shopify.dev/docs/api/admin-graphql/latest/queries/fulfillmentOrder?example=retrieves-a-list-of-locations-that-a-fulfillment-order-can-potentially-move-to)

Retrieves a list of locations that a fulfillment order can potentially move to. The resulting list is sorted alphabetically in ascending order by location name.

### Parameters

***

api\_version

**string**

**required**

***

fulfillment\_order\_id

**string**

**required**

***

fulfillment\_order\_id

The ID of the fulfillment order.

***

### Examples

### Retrieve a list of locations that a fulfillment order can potentially move to.

get

## /admin/api/2026-01/fulfillment\_​orders/1046000844/locations\_​for\_​move.​json

```bash
curl -X GET "https://your-development-store.myshopify.com/admin/api/2026-01/fulfillment_orders/1046000844/locations_for_move.json" \
-H "X-Shopify-Access-Token: {access_token}"
```

{}

## Response

JSON

```json
HTTP/1.1 200 OK
{
  "locations_for_move": [
    {
      "location": {
        "id": 1072404550,
        "name": "Alpha Location"
      },
      "message": "Current location.",
      "movable": false
    },
    {
      "location": {
        "id": 1072404551,
        "name": "Bravo Location"
      },
      "message": "No items are stocked at this location.",
      "movable": false
    }
  ]
}
```

### examples

* #### Retrieve a list of locations that a fulfillment order can potentially move to.

  #####

  ```curl
  curl -X GET "https://your-development-store.myshopify.com/admin/api/2026-01/fulfillment_orders/1046000844/locations_for_move.json" \
  -H "X-Shopify-Access-Token: {access_token}"
  ```

  #### response

  ```json
  HTTP/1.1 200 OK{"locations_for_move":[{"location":{"id":1072404550,"name":"Alpha Location"},"message":"Current location.","movable":false},{"location":{"id":1072404551,"name":"Bravo Location"},"message":"No items are stocked at this location.","movable":false}]}
  ```
